declare const _default: import("vue").DefineComponent<{}, {
    minHeight: number;
    start: boolean;
    density: string;
    leading: string;
    trailing: string;
    leadingIcon: string;
    trailingIcon: string;
    leadingColor: string;
    trailingColor: string;
    title?: string | undefined;
    subtitle?: string | undefined;
    value?: undefined;
    lines?: string | boolean | undefined;
    leadingMedia?: string | undefined;
    leadingFirstname?: string | undefined;
    $props: {
        readonly minHeight?: number | undefined;
        readonly start?: boolean | undefined;
        readonly density?: string | undefined;
        readonly leading?: string | undefined;
        readonly trailing?: string | undefined;
        readonly leadingIcon?: string | undefined;
        readonly trailingIcon?: string | undefined;
        readonly leadingColor?: string | undefined;
        readonly trailingColor?: string | undefined;
        readonly title?: string | undefined;
        readonly subtitle?: string | undefined;
        readonly value?: undefined;
        readonly lines?: string | boolean | undefined;
        readonly leadingMedia?: string | undefined;
        readonly leadingFirstname?: string | undefined;
    };
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
